# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rcloud/version'

Gem::Specification.new do |spec|
  spec.name          = "rcloud"
  spec.version       = Rcloud::VERSION
  spec.authors       = ["Lin Xiangyu"]
  spec.email         = ["lxyweb@gmail.com"]
  spec.summary       = %q{RongCloud Ruby SDK}
  spec.description   = %q{RongCloud Ruby SDK.}
  spec.homepage      = "https://github.com/oa414/RCloud"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'rest_client'
  spec.add_runtime_dependency 'json', '~> 1.8.2', '>= 1.8.0'

  spec.add_development_dependency "minitest", '~> 5.6.0', '>= 5.6.0'
  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
end
